// SPDX-FileCopyrightText: 2019-2020 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef MARKERSPOPUP_H
#define MARKERSPOPUP_H

// Local includes
#include "shared/SelectionPopup.h"
#include "shared/Markers.h"

class MarkersPopup : public SelectionPopup
{
    Q_OBJECT

public:
    explicit MarkersPopup(QWidget *parent);
    void show(int currentMarker, const QPoint &position = QPoint(-1, -1));
    void updateMarkers(const QVector<Markers::Marker> &markers);
    int markerId() const;
    QString markerName() const;

private slots:
    void markerSelected(QPushButton *button);

private: // Variables
    int m_markerId;
    QString m_markerName;

};

#endif // MARKERSPOPUP_H
