// SPDX-FileCopyrightText: 2019-2020 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef SAVEONCLOSEPAGE_H
#define SAVEONCLOSEPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Local classes
class Settings;

// Qt classes
class QCheckBox;

class SaveOnClosePage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit SaveOnClosePage(Settings *settings, QWidget *parent = nullptr);
    void saveSettings() override;

private slots:
    void restoreDefaultValues();

private: // Variables
    Settings *m_settings;
    QCheckBox *m_saveWindowGeometry;
    QCheckBox *m_saveWindowState;
    QCheckBox *m_saveLastDbPath;
    QCheckBox *m_saveStopWatchState;
    QCheckBox *m_savePhoneticSearchState;

};

#endif // SAVEONCLOSEPAGE_H
