// SPDX-FileCopyrightText: 2020-2022 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

// Local includes

#include "IconButton.h"

#include "SharedObjects/SharedObjects.h"
#include "SharedObjects/ResourceFinder.h"
#include "SharedObjects/IconSizeEngine.h"

IconButton::IconButton(SharedObjects *sharedObjects, const QString &icon, QWidget *parent)
    : QToolButton(parent)
{
    setCheckable(true);
    setStyleSheet(QStringLiteral("QToolButton { padding: 2px; }"));
    setIconSize(sharedObjects->iconSizeEngine()->relativeSize(1.0));
    setIcon(QIcon(sharedObjects->resourceFinder()->find(icon)));
}
