// SPDX-FileCopyrightText: 2010-2020 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef TABLEDELEGATE_H
#define TABLEDELEGATE_H

// Qt includes
#include <QStyledItemDelegate>
#include <QPixmap>

// Qt classes
class QPainter;

class TableDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    enum HighlightMode {
        Alternating,
        NRows,
        Custom
    };

    enum Display {
        DrawBackground = Qt::UserRole,
        DrawTopLine
    };

    explicit TableDelegate(QObject *parent,
                           HighlightMode highlightMode = HighlightMode::Alternating);
    void setHighlighRows(int rows);

protected:
    void paint(QPainter *painter, const QStyleOptionViewItem &option,
               const QModelIndex &index) const override;
    virtual void drawText(QPainter *painter, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;

private: // Variables
    HighlightMode m_highlightMode;
    QColor m_topLineColor;
    QPixmap m_alternateBackground;
    int m_highlightRows = 2;

};

#endif // TABLEDELEGATE_H
